function WindActionBottomRight_OnLoad()
	WindCommon_setPoint(MultiBarBottomRightButton1, "TOPLEFT", WindActionBottomRight, "TOPLEFT", 10, -9);
	MultiBarBottomRight:SetScript("OnShow", WindActionBottomRight_OnShow);
	MultiBarBottomRight:SetScript("OnHide", WindActionBottomRight_OnHide);
	MultiBarBottomRight:SetFrameStrata("LOW");
	WindCommon_setSize(MultiBarBottomRight, 1, 1);
	this:RegisterEvent("VARIABLES_LOADED");
end

function WindActionBottomRight_OnShow()
	WindCommon_setPoint(MultiBarBottomRightButton1, "TOPLEFT", WindActionBottomRight, "TOPLEFT", 10, -9);
	WindActionBottomRight:Show();
end

function WindActionBottomRight_OnHide()
	WindActionBottomRight:Hide();
end

function WindActionBottomRight_OnEvent()
	if (event == "VARIABLES_LOADED") then
		WindActionBottomRight_initConfig();
		WindActionBottomRight_setPoint();
		WindActionBottomRight_setScale();
		WindActionBottomRight_setSize();
		WindActionBottomRight_setBorder();
	end
end

function WindActionBottomRight_initConfig()
	if (not WindActionBottomRightConfig) then WindActionBottomRightConfig = WindActionDefault["BottomRight"]; end
	if (IsAddOnLoaded("WindConfig")) then 
		WindActionConfigBottomRight_show();
		WindActionConfigBottomRight_setColor(color); 
	end
end

function WindActionBottomRight_setPoint()
	WindCommon_setPoint(WindActionBottomRight, WindActionBottomRightConfig[1], UIParent, WindActionBottomRightConfig[1], WindActionBottomRightConfig[2], WindActionBottomRightConfig[3]);
end

function WindActionBottomRight_setScale()
	WindActionBottomRight:SetScale(WindActionBottomRightConfig[4]);
	MultiBarBottomRight:SetScale(WindActionBottomRightConfig[4]);
end

function WindActionBottomRight_setSize()
	local index = WindActionBottomRightConfig[5];
	WindCommon_setSize(WindActionBottomRight, WindActionBorderSize[index][1], WindActionBorderSize[index][2]);
	WindActionButton_setAnchor(index, "MultiBarBottomRightButton");
end

function WindActionBottomRight_setBorder()
	if (WindActionBottomRightConfig[6]) then 
		WindActionBottomRight:SetBackdrop(WindCommon_ColorBorder);
		WindActionBottomRight_setColor();
	else 
		WindActionBottomRight:SetBackdrop(nil); 
	end
end

function WindActionBottomRight_setColor()
	WindActionBottomRight:SetBackdropBorderColor(WindActionBottomRightConfig[7][1].r, WindActionBottomRightConfig[7][1].g, WindActionBottomRightConfig[7][1].b, WindActionBottomRightConfig[7][1].a);
	WindActionBottomRight:SetBackdropColor(WindActionBottomRightConfig[7][2].r, WindActionBottomRightConfig[7][2].g, WindActionBottomRightConfig[7][2].b, WindActionBottomRightConfig[7][2].a);
end

function WindActionBottomRight_resetColor()
	WindActionBottomRightConfig[7] = WindActionDefault["BottomRight"][7];

	WindActionBottomRight_setColor();
end